Subject: Re: bug#865: 23.0.60; The directory is unsafe today

From: Noam Postavsky <[email-masked]>
Date: Sat, 21 Oct 2017 15:56:22 -0400

Noam Postavsky <[email-masked]> writes:

> +                     (format "it is not owned by you (owner = %s (%d))"
> +                             (user-full-name (user-uid)) (user-uid)))

Oops, I put the wrong uid there.  Fixed in [1: d719ea6ad5].

> +      (when unsafe
> +        (error "`%s' is not a safe directory because %s" dir unsafe)))))

I also added aa call to expand-file-name here, as I recently saw a
case[2] where there was some confusion about which directory
"~/.emacs.d/server" refered to.

[1: d719ea6ad5]: 2017-10-21 15:19:14 -0400
  Another fix for unsafe directory error message (Bug#865)
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=d719ea6ad5419bba2b376384c370dc2744dc718f

[2]: https://github.com/magit/with-editor/issues/41